Analytics
5 operations.
| Method | Endpoint | Description |
|---|---|---|
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/analytics/agent-runs/overview | Read agent run overview analytics |
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/analytics/agents | List agent analytics |
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/analytics/errors | Read error analytics |
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/analytics/token-usage | Read token usage analytics |
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/analytics/tools | List tool analytics |
Read agent run overview analytics
GET/api/v1/projects/{projectId}/environments/{environmentId}/analytics/agent-runs/overview
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to Read agent run overview analytics. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to Read agent run overview analytics. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| from | string | required | Sets the inclusive start of the Analytics time window. Applies to Read agent run overview analytics. |
| to | string | required | Sets the exclusive end of the Analytics time window. Applies to Read agent run overview analytics. |
| granularity | "day" | "hour" | optional | Selects the UTC day or hour bucket size for Analytics series. Applies to Read agent run overview analytics. |
| agentId | string | optional | Selects the Project Agent by its stable identifier. Applies to Read agent run overview analytics. |
| releaseId | string | optional | Filters results to the specified immutable Project Release. Applies to Read agent run overview analytics. |
| deploymentId | string | optional | Filters results to the specified Project Deployment. Applies to Read agent run overview analytics. |
| activationId | string | optional | Filters results to the specified Project Environment activation. Applies to Read agent run overview analytics. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to Read agent run overview analytics. |
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to Read agent run overview analytics. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
List agent analytics
GET/api/v1/projects/{projectId}/environments/{environmentId}/analytics/agents
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to List agent analytics. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to List agent analytics. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| from | string | required | Sets the inclusive start of the Analytics time window. Applies to List agent analytics. |
| to | string | required | Sets the exclusive end of the Analytics time window. Applies to List agent analytics. |
| granularity | "day" | "hour" | optional | Selects the UTC day or hour bucket size for Analytics series. Applies to List agent analytics. |
| agentId | string | optional | Selects the Project Agent by its stable identifier. Applies to List agent analytics. |
| releaseId | string | optional | Filters results to the specified immutable Project Release. Applies to List agent analytics. |
| deploymentId | string | optional | Filters results to the specified Project Deployment. Applies to List agent analytics. |
| activationId | string | optional | Filters results to the specified Project Environment activation. Applies to List agent analytics. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to List agent analytics. |
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to List agent analytics. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
Read error analytics
GET/api/v1/projects/{projectId}/environments/{environmentId}/analytics/errors
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to Read error analytics. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to Read error analytics. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| from | string | required | Sets the inclusive start of the Analytics time window. Applies to Read error analytics. |
| to | string | required | Sets the exclusive end of the Analytics time window. Applies to Read error analytics. |
| granularity | "day" | "hour" | optional | Selects the UTC day or hour bucket size for Analytics series. Applies to Read error analytics. |
| agentId | string | optional | Selects the Project Agent by its stable identifier. Applies to Read error analytics. |
| releaseId | string | optional | Filters results to the specified immutable Project Release. Applies to Read error analytics. |
| deploymentId | string | optional | Filters results to the specified Project Deployment. Applies to Read error analytics. |
| activationId | string | optional | Filters results to the specified Project Environment activation. Applies to Read error analytics. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to Read error analytics. |
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to Read error analytics. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
Read token usage analytics
GET/api/v1/projects/{projectId}/environments/{environmentId}/analytics/token-usage
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to Read token usage analytics. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to Read token usage analytics. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| from | string | required | Sets the inclusive start of the Analytics time window. Applies to Read token usage analytics. |
| to | string | required | Sets the exclusive end of the Analytics time window. Applies to Read token usage analytics. |
| granularity | "day" | "hour" | optional | Selects the UTC day or hour bucket size for Analytics series. Applies to Read token usage analytics. |
| agentId | string | optional | Selects the Project Agent by its stable identifier. Applies to Read token usage analytics. |
| releaseId | string | optional | Filters results to the specified immutable Project Release. Applies to Read token usage analytics. |
| deploymentId | string | optional | Filters results to the specified Project Deployment. Applies to Read token usage analytics. |
| activationId | string | optional | Filters results to the specified Project Environment activation. Applies to Read token usage analytics. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to Read token usage analytics. |
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to Read token usage analytics. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
List tool analytics
GET/api/v1/projects/{projectId}/environments/{environmentId}/analytics/tools
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to List tool analytics. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to List tool analytics. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| from | string | required | Sets the inclusive start of the Analytics time window. Applies to List tool analytics. |
| to | string | required | Sets the exclusive end of the Analytics time window. Applies to List tool analytics. |
| granularity | "day" | "hour" | optional | Selects the UTC day or hour bucket size for Analytics series. Applies to List tool analytics. |
| agentId | string | optional | Selects the Project Agent by its stable identifier. Applies to List tool analytics. |
| releaseId | string | optional | Filters results to the specified immutable Project Release. Applies to List tool analytics. |
| deploymentId | string | optional | Filters results to the specified Project Deployment. Applies to List tool analytics. |
| activationId | string | optional | Filters results to the specified Project Environment activation. Applies to List tool analytics. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to List tool analytics. |
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to List tool analytics. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|